(library (rnrs base (6))
 (export boolean?
	 symbol?
	 char?
	 vector?
	 null?
	 pair?
	 number?
	 string?
	 procedure?
	 
	 define
	 define-syntax
	 syntax-rules

	 lambda
	 let
	 let*
	 let-values
	 let*-values
	 letrec
	 begin
	 
	 quote
	 
	 lambda
	 
	 if
	 set!
	 cond
	 case
	 
	 or
	 and
	 
	 eqv?
	 equal?
	 eq?
	 
	 +
	 -
	 *
	 max
	 min
	 abs
	 numerator
	 denominator
	 gcd
	 lcm
	 floor
	 ceiling
	 truncate
	 round
	 rationalize
	 real-part
	 imag-part
	 make-rectangular
	 /
	 
	 expt
	 
	 sqrt
	 exp
	 log
	 sin
	 cos
	 tan
	 asin
	 acos
	 atan
	 expt
	 make-polar
	 magnitude
	 angle
	 
	 complex?
	 real?
	 rational?
	 integer?

	 exact?
	 inexact?
	
	 zero?
	 positive?
	 negative?
	 odd?
	 even?
	 
	 nan?

	 cons
	  car
	  cdr

	  caar
	  cadr
	  cdar
	  cddr

	  caaar
	  caadr
	  cadar
	  cdaar
	  caddr
	  cdadr
	  cddar
	  cdddr

	  caaaar
	  caaadr
	  caadar
	  cadaar
	  cdaaar
	  cddaar
	  cdadar
	  cdaadr
	  cadadr
	  caaddr
	  caddar
	  cadddr
	  cdaddr
	  cddadr
	  cdddar
	  cddddr

	  list?
	  list
	  length
	  append
	  reverse
	  list-tail
	  list-ref
	  map
	  for-each

	  not
	  apply
	  call-with-values
	  values

	  ;; Needed for expansion for some reason

	  install-global-transformer
	  void
	  syntax-dispatch
	  syntax-error
	  eval
	  )

 (import (except (guile) define-syntax)
	 (only (ice-9 syncase) define-syntax 
	                       install-global-transformer
			       eval
			       void
			       syntax-dispatch
			       syntax-error
			       syntax-rules)
	 (srfi srfi-11)))
